// 段落分割
(function(){
	var lineH = [];	// 行間を入れておく配列
	var selObj = app.selection;
	if (selObj.length == 0){ return; } // 何も選択されていない場合
	var newLayer = app.activeDocument.layers.add();
	for(var i=0; i<selObj.length; i++){
		var p = selObj[i].paragraphs.length;
		for(var j=0; j<p; j++){
			lineH[j] = getMaxHeight(selObj[i], j);
		}
		var linePos = 0;
		for(var j=0; j<p; j++){
			var dupText = selObj[i].duplicate(newLayer);
			removeParagraphs(dupText, j);
			if(selObj[i].orientation == TextOrientation.VERTICAL){
				dupText.translate(linePos,0);
			}else{
				dupText.translate(0, linePos);
			}
			linePos = linePos - lineH[j];
		}
	}
})();
// 指定した段落以外を消す
function removeParagraphs(txtObj, num){
	for(var i=txtObj.paragraphs.length-1; i>num; i--){
		txtObj.paragraphs[i].remove();
	}
	for(var i=txtObj.paragraphs.length-2; i>-1; i--){
		txtObj.paragraphs[i].remove();
	}
}
// 最終行の最大の行の高さを返す
function getMaxHeight(txtObj, count){
	var para = txtObj.paragraphs[count];
	var max = 0;
	for(var i=0; i<para.characters.length; i++){
		var n = para.characters[i].leading;
		if (n > max){ max = n; }
	}
	return max;	// 最終行の行の最大の高さを返す
}